Package skyview.survey

# Class DSSImage

java.lang.Object
skyview.survey.Image
skyview.survey.DSSImage

All Implemented Interfaces:
  `Serializable`, `Component`

public class DSSImage extends Image
This class defines an image as the combination of a set of pixel values and a WCS describing the pixel coordinates.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.survey.Image

`data`

## Constructor Summary

Constructors
Constructor
Description
`DSSImage(String directory)`
Construct a DSS image

## Method Summary

Modifier and Type
Method
Description
`void`
`clearData()`
Clear the data array
`double`
`getData(long npix)`
Get a pixels data associated with the image.
`double[]`
`getDataArray()`
Get the data as an array
`boolean`
`isTiled()`
Is this image tiled
`void`
`setData(long npix, double newData)`
Set the Data associated with the image.
`void`
`setDataArray(double[] newData)`
Set the data array

### Methods inherited from class skyview.survey.Image

`getBaseImage, getCenter, getCorners, getDepth, getDescription, getHeight, getName, getTransformer, getWCS, getWidth, initialize, setAccumulate, setName, valid, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSSImage

public DSSImage(String directory) throws Exception
Construct a DSS image

Throws:
  `Exception`

## Method Details

### getData

public double getData(long npix)
Get a pixels data associated with the image.

Overrides:
  `getData` in class `Image`

### getDataArray

public double[] getDataArray()
Get the data as an array

Overrides:
  `getDataArray` in class `Image`

### setData

public void setData(long npix, double newData)
Set the Data associated with the image.

Overrides:
  `setData` in class `Image`

### clearData

public void clearData()
Clear the data array

Overrides:
  `clearData` in class `Image`

### setDataArray

public void setDataArray(double[] newData)
Set the data array

Overrides:
  `setDataArray` in class `Image`

### isTiled

public boolean isTiled()
Is this image tiled

Overrides:
  `isTiled` in class `Image`